// ---=== Sky ===---

textures/ut4_katooine/kat_katsky1
{
	qer_editorimage env/ut4_katooine/box374_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 250 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 220 120 60 1 16
	skyparms env/ut4_katooine/box374 1024 -
}


// ---=== camera ===---

textures/ut4_katooine/kat_camera1
{
	qer_editorimage textures/ut4_katooine/camera.jpg
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ut4_katooine/camera.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 256
    }
}

// ---=== Liquids ===---
// ---=== SLIME!!! ===---

textures/ut4_katooine/kat_slime
{
	qer_editorimage textures/ut4_katooine/liquids/slime_grn.tga
	q3map_lightimage textures/ut4_katooine/liquids/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_katooine/liquids/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll -0.1 0.01
	}
	{
		map textures/ut4_katooine/liquids/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.1 0.01
	}
	{
		map textures/ut4_katooine/liquids/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.08 0.01
	}	
}

textures/ut4_katooine/kat_slimecaulk
{
qer_editorimage textures/ut4_katooine/liquids/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// ---=== glass ===---

textures/ut4_katooine/kat_glass4
{
	qer_editorimage textures/ut4_katooine/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
//	q3map_bounce .1	

	{
		map textures/ut4_katooine/kw_glass4.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// ---=== Lighting ===---
// ---=== From crossing; altered for use ===---

textures/ut4_katooine/kat_panel_1500
{
	qer_editorimage textures/ut4_katooine/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_panel_500
{
	qer_editorimage textures/ut4_katooine/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== Metal Fence from Mindriot's Chasm ===---

textures/ut4_katooine/kat_fence
{
	qer_trans 0.70
	qer_editorimage textures/ut4_katooine/mindriot_fence.tga
	surfaceparm trans
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodamage

	nomipmaps

	{
		map textures/ut4_katooine/mindriot_fence.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc ge128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}

}

// ---=== Ladder ===---

textures/ut4_katooine/kat_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

// ---=== Clouds/Fog ===---


textures/ut4_katooine/kat_cloud1

{
	qer_editorimage textures/ut4_katooine/kw_clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_katooine/kw_clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.0325
	}

}

// ---=== non-solids ===---

textures/ut4_katooine/kat_cement1_ns

{
	qer_editorimage textures/ut4_katooine/pr_concrete034.jpg
	qer_trans 0.9
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine/pr_concrete034.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_katooine/kat_fade_blue1
{
	qer_editorimage textures/ut4_katooine/kw_fade_blue.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine/kw_fade_blue.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine/kat_fade_green1
{
	qer_editorimage textures/ut4_katooine/kw_fade_green.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine/kw_fade_green.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine/kat_fade_red1
{
	qer_editorimage textures/ut4_katooine/kw_fade_red.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 300

	{
		map textures/ut4_katooine/kw_fade_red.tga
		blendFunc GL_ONE GL_ONE

        }
}

textures/ut4_katooine/kat_glass_ns
{
	qer_editorimage textures/ut4_katooine/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
//	q3map_bounce .1	

	{
		map textures/ut4_katooine/kw_glass4.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_katooine/kat_metal1_ns

{
	qer_editorimage textures/ut4_katooine/pr_metal067.jpg
	qer_trans 0.9
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine/pr_metal067.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_katooine/kat_powerwire_ns
{
	qer_editorimage textures/ut4_katooine/del_powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine/del_powerwire01.tga
		blendFunc filter
	}
}

textures/ut4_katooine/kat_socbeam1_ns

{
	qer_editorimage textures/ut4_katooine/soc_032-10a.tga
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	{
		map textures/ut4_katooine/soc_032-10a.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

// ---=== throat ===---

textures/ut4_katooine/kat_throat1
{
	qer_editorimage textures/ut4_katooine/kw_sirthroat1.jpg
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm trans

	deformVertexes wave 16 sin 0 3 0 .5
	{
		map textures/ut4_katooine/kw_sirthroat1.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }

}

// ---=== Holopanels ===---

textures/ut4_katooine/kat_holop1_b
{
	qer_editorimage textures/ut4_katooine/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b2.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg textures/ut4_katooine/holopanel1/holopanel_b3.jpg textures/ut4_katooine/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_holop1_r
{
	qer_editorimage textures/ut4_katooine/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r2.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg textures/ut4_katooine/holopanel1/holopanel_r3.jpg textures/ut4_katooine/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_holop2_b
{
	qer_editorimage textures/ut4_katooine/holopanel2/katid_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2


	{
		animMap 10 textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b2.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg textures/ut4_katooine/holopanel2/katid_b3.jpg textures/ut4_katooine/holopanel2/katid_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_holop2_r
{
	qer_editorimage textures/ut4_katooine/holopanel2/katid_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
	deformVertexes autosprite2


	{
		animMap 10 textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r2.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg textures/ut4_katooine/holopanel2/katid_r3.jpg textures/ut4_katooine/holopanel2/katid_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Teleorbs ===---

textures/ut4_katooine/kat_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine/soc_blue_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine/kat_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_katooine/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_katooine/soc_red_telep.jpg
		tcmod rotate 360
		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Grill, Alpha'd, from Urban_terror.shader and urban_terror2 textures ===---

textures/ut4_katooine/kat_grill1
{
	qer_editorimage textures/ut4_katooine/bbq_window.tga
	surfaceparm trans
	surfaceparm nodamage		
//	cull none
        nopicmip

	{
		map textures/ut4_katooine/bbq_window.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ---=== Grate from Mindriot's Chasm ===---

textures/ut4_katooine/kat_floorgrate2
{
//	qer_trans 0.3
	qer_editorimage textures/ut4_katooine/mindriot_e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm playerclip
//	cull none
	nomipmaps

	{
		map textures/ut4_katooine/mindriot_e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/ut4_katooine/kat_floor_grate
{
	qer_editorimage textures/ut4_katooine/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
//	cull none
        nopicmip

	{
		map textures/ut4_katooine/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//soc textures

//**********************************************************************//
// LIGHT 064 - 03 : Double big lights	 				//
//**********************************************************************//
textures/ut4_katooine/kat_lig_064b2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_064r2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_064y2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropB2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropR2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine/kat_lig_ropY2k
{
	qer_editorimage textures/ut4_katooine/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_katooine/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

// ===--- non-solid tunnel lights ===---

textures/ut4_katooine/kat_lig_128y2k
{
	qer_editorimage textures/ut4_katooine/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_katooine/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm detail

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_katooine/kat_jpblue
{
	qer_editorimage textures/ut4_katooine/soc_jp01c.tga
	q3map_lightimage textures/ut4_katooine/soc_jumppadsmall_b.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_katooine/soc_blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_katooine/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_katooine/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_katooine/kat_jpred
{
	qer_editorimage textures/ut4_katooine/soc_jp01c.tga
	q3map_lightimage textures/ut4_katooine/soc_jumppadsmall_r.tga	
	q3map_surfacelight 800
	{
		map textures/ut4_katooine/soc_red_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_katooine/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_katooine/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ---=== MODEL SHADERS ===---

models/mapobjects/videocamera/videocamerasupport
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/videocamera/videocamerasupport.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/ut4_katooine/kt_moai/moai
{
	qer_editorimage models/mapobjects/ut4_katooine/kt_moai/stone_granate2.tga
	q3map_forceMeta
	q3map_shadeAngle 89	// or 70
	q3map_nonPlanar
	q3map_clipModel
//	surfaceparm gravelsteps
	{
		map models/mapobjects/ut4_katooine/kt_moai/stone_granate2.tga
		rgbGen vertex
	}
}

models/mapobjects/ut4_katooine/bfp/SpaceCraft/cockpit
{
	qer_editorimage textures/ut4_katooine/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/ut4_katooine/tinfx.tga
                tcgen environment
		blendFunc GL_SRC_COLOR GL_DST_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

models/mapobjects/ut4_katooine/el_wlight/el_wlight.tga  
{ 
	q3map_surfacelight 500  

	{ 
		map models/mapobjects/ut4_katooine/el_wlight/el_wlight.tga  
	} 
	{ 
		map $lightmap   
		blendfunc filter  
	}  
	{
		map models/mapobjects/ut4_katooine/el_wlight/el_wlight_blend.tga   
		blendFunc add  
		rgbGen wave sin .5 .5 0 1   
	}  
}  

models/mapobjects/ut4_katooine/el_gen/el_gen     
{        
        {     
		map models/mapobjects/ut4_katooine/el_gen/el_gen.tga     
		rgbGen identity     
	}     
      
        {     
                map models/mapobjects/ut4_katooine/el_gen/el_gen_fx.tga     
                blendFunc add     
                tcmod scroll 0 .4       
                rgbGen identity     
	} 
        {     
                map models/mapobjects/ut4_katooine/el_gen/el_gen_fx2.tga     
                blendFunc add     
                tcmod scroll 0 -.3      
                rgbGen identity  
	}                     
        {     
		map models/mapobjects/ut4_katooine/el_gen/el_gen.tga     
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA     
		rgbGen lightingDiffuse     
	}     
}    

models/mapobjects/ut4_katooine/satellite/cables
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/ut4_katooine/satellite/cables.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

//        wmlight by evil lair              //
//     http:www.planetquake.com/hfx        //
//        hfx@planetquake.com             //

models/mapobjects/ut4_katooine/ut4_katooine/wmlight/wmlight
{
	q3map_surfacelight 900 
	light 1

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap
	}
	{
		map models/mapobjects/ut4_katooine/wmlight/wmlight.tga
		blendfunc filter
		rgbGen vertex
	}
	{
		map models/mapobjects/ut4_katooine/wmlight/wmlight.blend.tga
		blendfunc add
		rgbGen vertex
	}
}